type ChatMessage = UserMessage | AgentMessage | SystemMessage;

type Five9Events = {
  previousMessagesLoaded: ChatMessage[],
  message: ChatMessage,
  'message.user': UserMessage,
  'message.agent': AgentMessage,
  'message.system': SystemMessage,
  agentJoined: AgentJoined,
  agentTyping: {
    userId: number,
    displayName: string
    typing: boolean;
  },
  event: Five9Event
};
