import { LitElement } from 'lit';

export default class ContactForm extends LitElement {
    static styles: any[];
    params: {
        firstName: string;
        lastName: string;
        email: string;
        phone: string;
    };
    errors: never[];
    phoneInput: HTMLInputElement;
    private phoneCleave;
    firstUpdated(): void;
    submit(e: Event): void;
    cancel(): void;
    updateField(field: string, value: string): void;
    render(): import('lit-html').TemplateResult<1>;
}
