export declare class Five9WebSocket {
    private chatWsUrl;
    private readonly _emitter;
    readonly on: {
        <Key extends string | number | symbol>(type: Key, handler: import('mitt').Handler<any>): void;
        (type: "*", handler: import('mitt').WildcardHandler<any>): void;
    };
    readonly off: {
        <Key extends string | number | symbol>(type: Key, handler?: import('mitt').Handler<any> | undefined): void;
        (type: "*", handler: import('mitt').WildcardHandler<any>): void;
    };
    private reconnectCodes;
    private reconnectAttempts;
    private maxReconnectAttempts;
    private ws?;
    constructor(chatWsUrl: string);
    connect(): void;
    reconnect(): void;
    disconnect(): void;
    destroy(): void;
}
