import { FunctionCallParams } from '@iai-lib/chat-widget/dist/types/schema/WidgetOptions';
import { ChatWindowApi } from '@iai-lib/chat-widget/dist/types/types/widget';
import { Five9Manager } from '../../five9/five9Manager';

export declare function getChatSessionKey(historyKey: string | null): string;
export declare function transferToLiveAgent({ id, params, chatWindow, html, }: FunctionCallParams): Promise<void>;
export declare function hijackChatForLiveAgent(chatWindow: ChatWindowApi, five9Manager: Five9Manager): void;
